Notifications
Last updated
Was this helpful?
Last updated
Was this helpful?
Was this helpful?
GET /api/v1/notifications HTTP/1.1
Host: core.wearepatchworks.com
Accept: */*
{
"data": [
{
"id": 1,
"read": "example_read",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"type": "example_type",
"read_at": "2025-01-15T10:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/notifications",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/notifications?page=1",
"last": "https://api.example.com/api/v1/notifications?page=1",
"prev": null,
"next": null
}
}PATCH /api/v1/notifications HTTP/1.1
Host: core.wearepatchworks.com
Accept: */*
{}PUT /api/v1/notifications/{notification} HTTP/1.1
Host: core.wearepatchworks.com
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"read": "example_read"
}{
"data": {
"id": 1,
"read": "example_read",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"type": "example_type",
"read_at": "2025-01-15T10:30:00.000000Z"
}
}DELETE /api/v1/notifications/{notification} HTTP/1.1
Host: core.wearepatchworks.com
Accept: */*
{
"message": "Action completed successfully."
}